import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { PartnerDivisionsResolver } from './resolvers/partner-division.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const partnerDivisionRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      partnerBranchs: PartnerDivisionsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
